﻿@using TAMRCPS.Services.Common
@{
    var url = Url.RouteUrl("Logout");
    var timeOut = HttpContext.Current.Session.Timeout * 60;

}

<!DOCTYPE html>
    <html>
    <head>
        <meta http-equiv="refresh" content="@timeOut;URL=@url">
        <meta charset="UTF-8">
        <title>.:: TAM RCPS ::.</title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <link rel="icon" href="~/Content/images/company/tam_favicon.ico" type="image/x-icon">
        <link href="~/Content/plugins/bootstrap-3.2.0-dist/css/bootstrap.min.css" rel="stylesheet" />
        <link href="~/Content/plugins/font-awesome-4.2.0/css/font-awesome.min.css" rel="stylesheet" />
        <link href="~/Content/dashboard.css" rel="stylesheet" />
        <script src="~/Scripts/jquery-2.1.1.min.js"></script>
        <script src="~/Scripts/modernizr-2.8.3.js"></script>
        <script src="~/Content/plugins/jquery-ui-1.11.2/jquery.cookie.js"></script>
        @RenderSection("styles", required: false)
        @Html.Partial("_html5shiv")
    </head>
    <body class="fixed skin-mantle">
        <header class="header">
            <a href="@Url.RouteUrl("HomeDash")" class="logo">
                <img src="~/Content/images/company/tam_logo_transparent.gif" width="38" /> <font color="#D5261D"> <strong>TOYOTA-ASTRA MOTOR</strong> </font>
            </a>
            <nav class="navbar navbar-static-top" role="navigation">
                @*<a href="#" onclick="window.ToggleState = false;" class="navbar-btn btn-small sidebar-toggle" data-toggle="offcanvas" role="button">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="glyphicon glyphicon-circle-arrow-left"></span>
                        @*<span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </a>*@

                @Html.Partial("_FixedNav")
            </nav>
        </header>

        <div class="wrapper row-offcanvas-left">
            <aside class="left-side sidebar-offcanvas" id="main_left">
                <section class="sidebar " style=" height: auto;">
                    <div class="user-panel">
                        <div class="pull-left image">
                            <img src="~/Content/images/avatar.png" class="img-circle" alt="User Image">
                        </div>
                        <div class="pull-left info">
                            <p>@System.Web.HttpContext.Current.Session[Setting.UsernameDisplay()]</p>
                            <a href="#"><i class="fa fa-circle text-success"></i> Online</a>
                        </div>
                    </div>
                    <ul id="ul-sidebar-menu" class="sidebar-menu">
                        @{

                            if (HttpContext.Current.User.Identity.IsAuthenticated)
                            {
                                //if (@HttpContext.Current.Session["SiteMap"] == null)
                                //{
                                Html.RenderAction("SiteMap", "Navigation");
                                //}
                            }
                            else
                            {
                                Response.Redirect(Url.RouteUrl("Login"));
                            }
                        }
                    </ul>

                </section>

            </aside>
            <aside class="right-side" id="main_right">
                <section class="content-header" style="padding-top: 5px;padding-bottom: 5px">
                    <div class="row">
                        <div class="col-sm-12" style="vertical-align: central;">
                            <a href="#" onclick="window.ToggleState = false;" class="navbar-btn btn-small sidebar-toggle" data-toggle="offcanvas" role="button">
                                <span class="sr-only">Toggle navigation</span>
                                <span class="glyphicon glyphicon-chevron-left"></span>
                                <span class="glyphicon glyphicon-chevron-right"></span>
                            </a>
                            <h4 style="display: inline;">@ViewBag.Title</h4>
                        </div>
                    </div>
                </section>
                <section class="content" style="min-height:480px">
                    @RenderBody()
                </section>

            </aside>
        </div>


        <script src="~/Content/plugins/bootstrap-3.2.0-dist/js/bootstrap.min.js"></script>
        <script src="~/Content/plugins/bootbox/bootbox.js"></script>
        <script src="~/Content/plugins/bootstrap-3.2.0-dist/js/bootstrapValidator.min.js"></script>
        <script src="~/Scripts/jquery.countdown.min.js"></script>
        <script src="~/Scripts/app.js"></script>
        <script src="~/Scripts/template.js"></script>
        @RenderSection("scripts", required: false)

        <script src="~/Scripts/moment.min.js"></script>
        <script src="~/Scripts/moment-with-locales.min.js"></script>
        <script type="text/javascript">
      
        </script>
        
        <script>
            $(function () {
                $("body").on('click keypress', function () {
                    ResetThisSession();
                });
            });

            var sessionTimeout = '@Session.Timeout';    
            var timeInSecondsAfterSessionOut = parseInt(sessionTimeout) * 60;
            var secondTick = 0;

            function ResetThisSession() {
                secondTick = 0;
            }

            function StartThisSessionTimer() {
                secondTick++;
               
                if (secondTick > timeInSecondsAfterSessionOut) {
                    clearTimeout(tick);
                    window.location.href = "@Url.Action("Logout", "User")";
                    return;
                }
                tick = setTimeout("StartThisSessionTimer()", 1000);
            }

            StartThisSessionTimer();
        </script>
        <script src="~/Scripts/scrollTop.js"></script>
    </body>

</html>